Create a workflow trigger
Creates a manual workflow trigger for a concrete resource instance. Provide the payload for exactly one supported target type. Requires the WORKFLOW_TRIGGER.CREATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
Headers
x-platform-id
Platform ID.
Request
This endpoint expects an object.
type
Source of the trigger execution, such as a manual request or a system event.
Allowed values:
customer_id
Customer scope associated with the trigger execution.
customer
The expanded customer associated with the trigger execution.
workflow_id
Workflow executed by this trigger.
workflow
The expanded workflow executed by this trigger.
invoice
Invoice trigger details for executions that run on an invoice.
payment
Payment trigger details for executions that run on a payment.
pricing_plan_subscription
Pricing plan subscription trigger details for executions that run on a subscription.
wallet
Wallet trigger details for executions that run on a wallet balance event.
usage
Usage trigger details for executions that run on a usage event.
Response
Created
object_type
id
customer_id
Customer scope associated with the trigger execution.
customer
The expanded customer associated with the trigger execution.
workflow_id
Workflow executed by this trigger.
workflow
The expanded workflow executed by this trigger.
type
Source of the trigger execution, such as a manual request or a system event.
Allowed values:
invoice
Invoice trigger details for executions that run on an invoice.
payment
Payment trigger details for executions that run on a payment.
pricing_plan_subscription
Pricing plan subscription trigger details for executions that run on a subscription.
wallet
Wallet trigger details for executions that run on a wallet balance event.
usage
Usage trigger details for executions that run on a usage event.
Errors
401
Unauthorized Error
403
Forbidden Error